Projects

Get Project

GET
/v0/project/{idOrSlug}

Path Parameters

idOrSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string"
{
  "id": "string",
  "name": "string",
  "allowedHostnames": [
    "string"
  ],
  "errorTrackingEnabled": true,
  "webVitalsEnabled": true,
  "sessionReplaysEnabled": true,
  "cookielessMode": true,
  "searchConsoleSiteUrl": "string",
  "token": "string",
  "slug": "string",
  "private": true,
  "templateId": "string",
  "preferredChartColors": [
    "string"
  ],
  "codeContextConfig": {
    "enabled": true,
    "codebergApiUrl": "string",
    "repository": "string",
    "ref": "string",
    "mappings": [
      {
        "id": "string",
        "provider": "github",
        "javaPrefix": "string",
        "repository": "string",
        "ref": "string",
        "pathPattern": "string"
      }
    ]
  },
  "createdAt": "string",
  "firstEventAt": "string",
  "ownerId": "string",
  "owner": {
    "id": "string",
    "name": "string",
    "slug": "string",
    "image": "string",
    "type": "user",
    "createdAt": "string"
  }
}
{
  "_tag": "ProjectValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}
{
  "_tag": "ProjectConflictError",
  "message": "string"
}